Cyberduck Mountain Duck CLI

#11766 closed defect (fixed)

Unable to upload to buckets with uniform bucket-level access enabled

Reported by: nehashar Owned by: dkocher
Priority: highest Milestone: 7.10.2
Component: google-storage Version: 7.10.1
Severity: critical Keywords:
Cc: abhishek.choudhary@mediaagility.com Architecture:
Platform: Windows 7

Description

We have downloaded the Cyberduck and connect to the Google cloud storage bucket. After connection when we are trying to upload data it gives Interoperability Failure Error and If we select continue with Always checkbox then transfer process will start but nothing will transfer at the end to Google cloud storage bucket.

Attachments (1)

Interoperatability failure error.png (71.5 KB) - added by nehashar on Aug 19, 2021 at 10:30:39 AM.

Download all attachments as: .zip

Change History (12)

comment:1 Changed on Aug 22, 2021 at 10:36:15 AM by dkocher

Fix error message in r51763.

comment:2 Changed on Aug 22, 2021 at 8:34:41 PM by dkocher

  • Component changed from core to google-storage
  • Owner set to dkocher

comment:3 Changed on Aug 22, 2021 at 8:41:58 PM by dkocher

Can you reproduce this with any file type and bucket region?

comment:4 Changed on Aug 24, 2021 at 7:20:07 AM by dkocher

The error response is probably

Cannot insert legacy ACL for an object when uniform bucket-level access is enabled. Read more at https://cloud.google.com/storage/docs/uniform-bucket-level-access.

comment:5 Changed on Aug 24, 2021 at 7:20:49 AM by dkocher

Parse error in JSON response for invalid requests in r51776.

comment:6 Changed on Aug 24, 2021 at 7:20:58 AM by dkocher

  • Milestone set to 7.10.2
  • Status changed from new to assigned

comment:7 Changed on Aug 24, 2021 at 7:31:16 AM by dkocher

This page discusses uniform bucket-level access, which allows you to uniformly control access to your Cloud Storage resources. When you enable uniform bucket-level access on a bucket, Access Control Lists (ACLs) are disabled, and only bucket-level Identity and Access Management (IAM) permissions grant access to that bucket and the objects it contains. You revoke all access granted by object ACLs and the ability to administrate permissions using bucket ACLs.

https://cloud.google.com/storage/docs/uniform-bucket-level-access

comment:8 Changed on Aug 24, 2021 at 7:33:47 AM by dkocher

Workaround is to set the hidden configuration option queue.upload.acl.change to false.

comment:9 Changed on Aug 24, 2021 at 8:07:11 AM by dkocher

  • Summary changed from Not able to upload data from Cyberduck Version 7.10.1 to Google Cloud Storage Bucket getting Interoperability Failure Error to Unable to upload to buckets with uniform bucket-level access enabled

comment:10 Changed on Aug 24, 2021 at 8:11:50 AM by dkocher

We will add an option to allow the selection of None in Preferences → Google Storage → Default ACL.

comment:11 Changed on Aug 25, 2021 at 11:35:26 AM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

In r51800.

Note: See TracTickets for help on using tickets.